# -*- RPM-SPEC -*-

%ifarch %{ix86}
%define eclipse_arch    x86
%define java_arch	i386
%endif
%ifarch alpha
%define eclipse_arch	alpha
%define java_arch	alpha
%endif
%ifarch ia64
%define eclipse_arch	ia64
%define java_arch	ia64
%endif
%ifarch ppc64
%define eclipse_arch	ppc64
%define java_arch	ppc
%endif
%ifarch sparc64
%define eclipse_arch	sparc64
%define java_arch	sparc
%endif
%ifarch x86_64
%define eclipse_arch	amd64
%define java_arch	amd64
%endif

%define eclipse_base    /usr/share/eclipse

Summary: Lomboz J2EE (TM) development environment for Eclipse
Name: eclipse-lomboz
Version: 3.0.1
Release: 15
License: GNU Lesser General Public License <http://www.gnu.org/licenses/lgpl.html>
Group: Development/Tools
URL: http://forge.objectweb.org/lomboz
Requires: eclipse-ui eclipse-jdt java-devel eclipse-emf

Source0: eclipse-lomboz.tar.gz
Patch0: com.objectlearn.jdt.j2ee.jonasserver-%{version}.patch
Patch1: com.objectlearn.jdt.j2ee.develmode-%{version}.patch
Patch2: com.objectlearn.jdt.j2ee.util-%{version}.patch
Patch3: com.objectlearn.jdt.j2ee.xml-%{version}.patch
Patch4: lomboz.build.properties-%{version}.patch
Patch5: suppress-parser-errors.patch
Patch6: fix-create-module-dialog-layout.patch
Patch7: org.apache.xml-commons.resolver.build.properties.patch
Patch8: com.objectlearn.jdt.j2ee.jonasserver45-%{version}.patch
Patch9: %{name}-allowindependentjonasserver.patch

BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: desktop-file-utils
BuildRequires: eclipse-platform
BuildRequires: eclipse-jdt
BuildRequires: eclipse-pde
BuildRequires: libswt3-gtk2
BuildRequires: eclipse-gtk2
BuildRequires: eclipse-emf

BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch:		i386 ia64 ppc x86_64

%description
The eclipse-lomboz package contains the Lomboz Eclipse plugin,
a toolkit for web and J2EE (TM) applications development.

%prep
%setup -q -c 

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
pushd com.redhat.eclipse.lomboz.releng/results/plugins/com.objectlearn.jdt.j2ee
%patch9 -p0
popd

%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base} emf
SDK=$(cd SDK && pwd)

# Create a home directory for the build.
mkdir home
homedir=$(cd home > /dev/null && pwd)

cd com.redhat.eclipse.lomboz.releng

java -cp $SDK/startup.jar \
    -Duser.home=$homedir \
    org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build_3.0.1/scripts \
    -DcompilerArg="-encoding iso8859-1" \
    -DdontFetchAnything=true

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{eclipse_base}

for file in $(pwd)/com.redhat.eclipse.lomboz.releng/results/I.*/*.zip; do
   # The ".." is needed since the zip files contain "eclipse/foo".
   cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file
done

%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{eclipse_base}/features/org.objectweb.*
%{eclipse_base}/plugins/com.objectlearn.*
%{eclipse_base}/plugins/org.apache.*
%{eclipse_base}/plugins/sf.net.xdoclet*

%changelog
* Thu Sep 08 2005 Andrew Overholt <overholt@redhat.com> 3.0.1-15
- Add jsp.jar and jasper5-runtime.jar to project classpath.

* Wed Aug 31 2005 Andrew Overholt <overholt@redhat.com> 3.0.1-14
- Add new patch for running JOnAS in devel mode independent of system jonas.
- Update JOnAS 4.5.x server file to work with above changes.

* Tue Aug 23 2005 Jeff Pound <jpound@redhat.com> 3.0.1-13
- Add jonas properties patch.

* Tue Aug 23 2005 Andrew Overholt <overholt@redhat.com> 3.0.1-12
- Update JOnAS server definition file to be 4.5.x.

* Tue Jun 28 2005 Aaron Luchko <aluchko@redhat.com> 3.0.1-11
- Added x86_64

* Mon May 2 2005 Ben Konrath <bkonrath@redhat.com> 3.0.1-10
- Build against Eclipse 3.0.2.

* Tue Mar 22 2005 Jeff Pound <jpound@redhat.com> 3.0.1-9
- Add JOnAS 3.4.x server definition patch.

* Thu Mar 17 2005 Jeff Pound <jpound@redhat.com> 3.0.1-7
- Change pde build script location to 3.0.1.

* Wed Feb 9 2005 Keith Seitz <keiths@redhat.com> 3.0.1-6
- Add org.apache.xml-commons.resolver.build.properties patch

* Tue Dec 7 2004 Phil Muldoon <pmuldoon@redhat.com> 3.0.1-5
- Added docs back to build

* Fri Dec 3 2004 Keith Seitz <keiths@redhat.com> 3.0.1-4
- (fix-create-module-dialog-layout.patch): New patch to fix "Create J2EE
- Module" dialog layout problems and some other usability issues.
- (suppress-parser-errors.patch): New patch to suppress all those ridiculous
- errors when editing jsps.

* Wed Nov 12 2004 Aaron Luchko <aluchko@redhat.com> 3.0.1-3
- (lomboz.build.properties-3.0.1.patch) Include the plugin.properties in the
  binary builds

* Tue Nov 9 2004 Andrew Overholt <overholt@redhat.com> 3.0.1-2
- (com.objectlearn.jdt.j2ee.develmode-3.0.1.patch) Port patch to enable
  development mode from Lomboz 2
- (com.objectlearn.jdt.j2ee.util-3.0.1.patch) Utilities need for above
- (com.objectlearn.jdt.j2ee.xml-3.0.1.patch) Likewise
- (com.objectlearn.jdt.j2ee.jonasserver-3.0.1.patch) JOnAS 4.1.x server file
- Added eclipse-emf to Requires

* Mon Nov 8 2004  Phil Muldoon <pmuldoon@redhat.com> 3.0.1-1
- Added emf to copy-platform script
- Changed %files to reflect org.objectweb feature
- Changed Version to reflect upgrade to Lomboz 3.0.1
- Added eclipse-emf to BuildRequires

* Sun Jul 25 2004 Jeremy Handcock <handcock@redhat.com> 3.0-7
- Require java-devel

* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 3.0-6
- Require eclipse-ui, not eclipse-platform

* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 3.0-5
- Set user.home property for build
- Update package description

* Thu Jul 22 2004 Jeremy Handcock <handcock@redhat.com> 3.0-4
- Don't build on ppc64.

* Tue Jul 20 2004 Jeremy Handcock <handcock@redhat.com> 3.0-3
- Include log4j and xdoclet library plugins

* Mon Jul 19 2004 Tom Tromey <tromey@redhat.com> 3.0-2
- Use the copy-platform script

* Wed Jul 14 2004 Jeremy Handcock <handcock@redhat.com> 3.0-1
- Rewrite for releng build and eclipse 3.0

* Thu Feb 12 2004 Jeremy Handcock <handcock@redhat.com> 2.1.2-1
- Correct license and generalize description

* Tue Feb 10 2004 Tom Tromey <tromey@redhat.com> 2.1.2-1
- Initial version
